Index: lemon/bits/traits.h
===================================================================
--- lemon/bits/traits.h	(revision 663)
+++ lemon/bits/traits.h	(revision 314)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2008
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -30,42 +30,40 @@
   struct InvalidType {};
 
-  template <typename GR, typename _Item>
+  template <typename _Graph, typename _Item>
   class ItemSetTraits {};
 
 
-  template <typename GR, typename Enable = void>
+  template <typename Graph, typename Enable = void>
   struct NodeNotifierIndicator {
     typedef InvalidType Type;
   };
-  template <typename GR>
+  template <typename Graph>
   struct NodeNotifierIndicator<
-    GR,
-    typename enable_if<typename GR::NodeNotifier::Notifier, void>::type
-  > {
-    typedef typename GR::NodeNotifier Type;
-  };
-
-  template <typename GR>
-  class ItemSetTraits<GR, typename GR::Node> {
+    Graph,
+    typename enable_if<typename Graph::NodeNotifier::Notifier, void>::type
+  > {
+    typedef typename Graph::NodeNotifier Type;
+  };
+
+  template <typename _Graph>
+  class ItemSetTraits<_Graph, typename _Graph::Node> {
   public:
 
-    typedef GR Graph;
-    typedef GR Digraph;
-
-    typedef typename GR::Node Item;
-    typedef typename GR::NodeIt ItemIt;
-
-    typedef typename NodeNotifierIndicator<GR>::Type ItemNotifier;
-
-    template <typename V>
-    class Map : public GR::template NodeMap<V> {
-      typedef typename GR::template NodeMap<V> Parent;
-
+    typedef _Graph Graph;
+
+    typedef typename Graph::Node Item;
+    typedef typename Graph::NodeIt ItemIt;
+
+    typedef typename NodeNotifierIndicator<Graph>::Type ItemNotifier;
+
+    template <typename _Value>
+    class Map : public Graph::template NodeMap<_Value> {
     public:
-      typedef typename GR::template NodeMap<V> Type;
+      typedef typename Graph::template NodeMap<_Value> Parent;
+      typedef typename Graph::template NodeMap<_Value> Type;
       typedef typename Parent::Value Value;
 
-      Map(const GR& _digraph) : Parent(_digraph) {}
-      Map(const GR& _digraph, const Value& _value)
+      Map(const Graph& _digraph) : Parent(_digraph) {}
+      Map(const Graph& _digraph, const Value& _value)
         : Parent(_digraph, _value) {}
 
@@ -74,38 +72,36 @@
   };
 
-  template <typename GR, typename Enable = void>
+  template <typename Graph, typename Enable = void>
   struct ArcNotifierIndicator {
     typedef InvalidType Type;
   };
-  template <typename GR>
+  template <typename Graph>
   struct ArcNotifierIndicator<
-    GR,
-    typename enable_if<typename GR::ArcNotifier::Notifier, void>::type
-  > {
-    typedef typename GR::ArcNotifier Type;
-  };
-
-  template <typename GR>
-  class ItemSetTraits<GR, typename GR::Arc> {
+    Graph,
+    typename enable_if<typename Graph::ArcNotifier::Notifier, void>::type
+  > {
+    typedef typename Graph::ArcNotifier Type;
+  };
+
+  template <typename _Graph>
+  class ItemSetTraits<_Graph, typename _Graph::Arc> {
   public:
 
-    typedef GR Graph;
-    typedef GR Digraph;
-
-    typedef typename GR::Arc Item;
-    typedef typename GR::ArcIt ItemIt;
-
-    typedef typename ArcNotifierIndicator<GR>::Type ItemNotifier;
-
-    template <typename V>
-    class Map : public GR::template ArcMap<V> {
-      typedef typename GR::template ArcMap<V> Parent;
-
+    typedef _Graph Graph;
+
+    typedef typename Graph::Arc Item;
+    typedef typename Graph::ArcIt ItemIt;
+
+    typedef typename ArcNotifierIndicator<Graph>::Type ItemNotifier;
+
+    template <typename _Value>
+    class Map : public Graph::template ArcMap<_Value> {
     public:
-      typedef typename GR::template ArcMap<V> Type;
+      typedef typename Graph::template ArcMap<_Value> Parent;
+      typedef typename Graph::template ArcMap<_Value> Type;
       typedef typename Parent::Value Value;
 
-      Map(const GR& _digraph) : Parent(_digraph) {}
-      Map(const GR& _digraph, const Value& _value)
+      Map(const Graph& _digraph) : Parent(_digraph) {}
+      Map(const Graph& _digraph, const Value& _value)
         : Parent(_digraph, _value) {}
     };
@@ -113,38 +109,36 @@
   };
 
-  template <typename GR, typename Enable = void>
+  template <typename Graph, typename Enable = void>
   struct EdgeNotifierIndicator {
     typedef InvalidType Type;
   };
-  template <typename GR>
+  template <typename Graph>
   struct EdgeNotifierIndicator<
-    GR,
-    typename enable_if<typename GR::EdgeNotifier::Notifier, void>::type
-  > {
-    typedef typename GR::EdgeNotifier Type;
-  };
-
-  template <typename GR>
-  class ItemSetTraits<GR, typename GR::Edge> {
+    Graph,
+    typename enable_if<typename Graph::EdgeNotifier::Notifier, void>::type
+  > {
+    typedef typename Graph::EdgeNotifier Type;
+  };
+
+  template <typename _Graph>
+  class ItemSetTraits<_Graph, typename _Graph::Edge> {
   public:
 
-    typedef GR Graph;
-    typedef GR Digraph;
-
-    typedef typename GR::Edge Item;
-    typedef typename GR::EdgeIt ItemIt;
-
-    typedef typename EdgeNotifierIndicator<GR>::Type ItemNotifier;
-
-    template <typename V>
-    class Map : public GR::template EdgeMap<V> {
-      typedef typename GR::template EdgeMap<V> Parent;
-
+    typedef _Graph Graph;
+
+    typedef typename Graph::Edge Item;
+    typedef typename Graph::EdgeIt ItemIt;
+
+    typedef typename EdgeNotifierIndicator<Graph>::Type ItemNotifier;
+
+    template <typename _Value>
+    class Map : public Graph::template EdgeMap<_Value> {
     public:
-      typedef typename GR::template EdgeMap<V> Type;
+      typedef typename Graph::template EdgeMap<_Value> Parent;
+      typedef typename Graph::template EdgeMap<_Value> Type;
       typedef typename Parent::Value Value;
 
-      Map(const GR& _digraph) : Parent(_digraph) {}
-      Map(const GR& _digraph, const Value& _value)
+      Map(const Graph& _digraph) : Parent(_digraph) {}
+      Map(const Graph& _digraph, const Value& _value)
         : Parent(_digraph, _value) {}
     };
@@ -211,91 +205,65 @@
   // Indicators for the tags
 
-  template <typename GR, typename Enable = void>
+  template <typename Graph, typename Enable = void>
   struct NodeNumTagIndicator {
     static const bool value = false;
   };
 
-  template <typename GR>
+  template <typename Graph>
   struct NodeNumTagIndicator<
-    GR,
-    typename enable_if<typename GR::NodeNumTag, void>::type
-  > {
-    static const bool value = true;
-  };
-
-  template <typename GR, typename Enable = void>
-  struct ArcNumTagIndicator {
-    static const bool value = false;
-  };
-
-  template <typename GR>
-  struct ArcNumTagIndicator<
-    GR,
-    typename enable_if<typename GR::ArcNumTag, void>::type
-  > {
-    static const bool value = true;
-  };
-
-  template <typename GR, typename Enable = void>
+    Graph,
+    typename enable_if<typename Graph::NodeNumTag, void>::type
+  > {
+    static const bool value = true;
+  };
+
+  template <typename Graph, typename Enable = void>
   struct EdgeNumTagIndicator {
     static const bool value = false;
   };
 
-  template <typename GR>
+  template <typename Graph>
   struct EdgeNumTagIndicator<
-    GR,
-    typename enable_if<typename GR::EdgeNumTag, void>::type
-  > {
-    static const bool value = true;
-  };
-
-  template <typename GR, typename Enable = void>
-  struct FindArcTagIndicator {
-    static const bool value = false;
-  };
-
-  template <typename GR>
-  struct FindArcTagIndicator<
-    GR,
-    typename enable_if<typename GR::FindArcTag, void>::type
-  > {
-    static const bool value = true;
-  };
-
-  template <typename GR, typename Enable = void>
+    Graph,
+    typename enable_if<typename Graph::EdgeNumTag, void>::type
+  > {
+    static const bool value = true;
+  };
+
+  template <typename Graph, typename Enable = void>
   struct FindEdgeTagIndicator {
     static const bool value = false;
   };
 
-  template <typename GR>
+  template <typename Graph>
   struct FindEdgeTagIndicator<
-    GR,
-    typename enable_if<typename GR::FindEdgeTag, void>::type
-  > {
-    static const bool value = true;
-  };
-
-  template <typename GR, typename Enable = void>
+    Graph,
+    typename enable_if<typename Graph::FindEdgeTag, void>::type
+  > {
+    static const bool value = true;
+  };
+
+  template <typename Graph, typename Enable = void>
   struct UndirectedTagIndicator {
     static const bool value = false;
   };
 
-  template <typename GR>
+  template <typename Graph>
   struct UndirectedTagIndicator<
-    GR,
-    typename enable_if<typename GR::UndirectedTag, void>::type
-  > {
-    static const bool value = true;
-  };
-
-  template <typename GR, typename Enable = void>
+    Graph,
+    typename enable_if<typename Graph::UndirectedTag, void>::type
+  > {
+    static const bool value = true;
+  };
+
+  template <typename Graph, typename Enable = void>
   struct BuildTagIndicator {
     static const bool value = false;
   };
 
-  template <typename GR>
+  template <typename Graph>
   struct BuildTagIndicator<
-    GR,
-    typename enable_if<typename GR::BuildTag, void>::type
+    Graph,
+    typename enable_if<typename Graph::BuildTag, void>::type
   > {
     static const bool value = true;
Index: lemon/bits/vector_map.h
===================================================================
--- lemon/bits/vector_map.h	(revision 664)
+++ lemon/bits/vector_map.h	(revision 314)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2008
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -39,7 +39,7 @@
   // \brief Graph map based on the std::vector storage.
   //
-  // The VectorMap template class is graph map structure that automatically
-  // updates the map when a key is added to or erased from the graph.
-  // This map type uses std::vector to store the values.
+  // The VectorMap template class is graph map structure what
+  // automatically updates the map when a key is added to or erased from
+  // the map. This map type uses the std::vector to store the values.
   //
   // \tparam _Graph The graph this map is attached to.
@@ -57,5 +57,5 @@
 
     // The graph type of the map.
-    typedef _Graph GraphType;
+    typedef _Graph Graph;
     // The item type of the map.
     typedef _Item Item;
@@ -73,4 +73,6 @@
     // The map type.
     typedef VectorMap Map;
+    // The base class of the map.
+    typedef typename Notifier::ObserverBase Parent;
 
     // The reference type of the map;
@@ -79,10 +81,4 @@
     typedef typename Container::const_reference ConstReference;
 
-  private:
-
-    // The base class of the map.
-    typedef typename Notifier::ObserverBase Parent;
-
-  public:
 
     // \brief Constructor to attach the new map into the notifier.
@@ -90,5 +86,5 @@
     // It constructs a map and attachs it into the notifier.
     // It adds all the items of the graph to the map.
-    VectorMap(const GraphType& graph) {
+    VectorMap(const Graph& graph) {
       Parent::attach(graph.notifier(Item()));
       container.resize(Parent::notifier()->maxId() + 1);
@@ -99,5 +95,5 @@
     // It constructs a map uses a given value to initialize the map.
     // It adds all the items of the graph to the map.
-    VectorMap(const GraphType& graph, const Value& value) {
+    VectorMap(const Graph& graph, const Value& value) {
       Parent::attach(graph.notifier(Item()));
       container.resize(Parent::notifier()->maxId() + 1, value);
@@ -129,5 +125,5 @@
     // \brief Template assign operator.
     //
-    // The given parameter should conform to the ReadMap
+    // The given parameter should be conform to the ReadMap
     // concecpt and could be indiced by the current item set of
     // the NodeMap. In this case the value for each item
@@ -174,5 +170,5 @@
     // \brief Adds a new key to the map.
     //
-    // It adds a new key to the map. It is called by the observer notifier
+    // It adds a new key to the map. It called by the observer notifier
     // and it overrides the add() member function of the observer base.
     virtual void add(const Key& key) {
@@ -185,5 +181,5 @@
     // \brief Adds more new keys to the map.
     //
-    // It adds more new keys to the map. It is called by the observer notifier
+    // It adds more new keys to the map. It called by the observer notifier
     // and it overrides the add() member function of the observer base.
     virtual void add(const std::vector<Key>& keys) {
@@ -200,5 +196,5 @@
     // \brief Erase a key from the map.
     //
-    // Erase a key from the map. It is called by the observer notifier
+    // Erase a key from the map. It called by the observer notifier
     // and it overrides the erase() member function of the observer base.
     virtual void erase(const Key& key) {
@@ -208,5 +204,5 @@
     // \brief Erase more keys from the map.
     //
-    // It erases more keys from the map. It is called by the observer notifier
+    // Erase more keys from the map. It called by the observer notifier
     // and it overrides the erase() member function of the observer base.
     virtual void erase(const std::vector<Key>& keys) {
@@ -216,7 +212,7 @@
     }
 
-    // \brief Build the map.
-    //
-    // It builds the map. It is called by the observer notifier
+    // \brief Buildes the map.
+    //
+    // It buildes the map. It called by the observer notifier
     // and it overrides the build() member function of the observer base.
     virtual void build() {
@@ -228,5 +224,5 @@
     // \brief Clear the map.
     //
-    // It erases all items from the map. It is called by the observer notifier
+    // It erase all items from the map. It called by the observer notifier
     // and it overrides the clear() member function of the observer base.
     virtual void clear() {
Index: lemon/bits/windows.cc
===================================================================
--- lemon/bits/windows.cc	(revision 956)
+++ lemon/bits/windows.cc	(revision 513)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2010
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -97,5 +97,5 @@
       GetSystemTime(&time);
       char buf1[11], buf2[9], buf3[5];
-          if (GetDateFormat(MY_LOCALE, 0, &time,
+	  if (GetDateFormat(MY_LOCALE, 0, &time,
                         ("ddd MMM dd"), buf1, 11) &&
           GetTimeFormat(MY_LOCALE, 0, &time,
Index: lemon/bits/windows.h
===================================================================
--- lemon/bits/windows.h	(revision 576)
+++ lemon/bits/windows.h	(revision 511)
@@ -17,6 +17,6 @@
  */
 
-#ifndef LEMON_BITS_WINDOWS_H
-#define LEMON_BITS_WINDOWS_H
+#ifndef LEMON_WINDOWS_H
+#define LEMON_WINDOWS_H
 
 #include <string>
Index: lemon/color.cc
===================================================================
--- lemon/color.cc	(revision 463)
+++ lemon/color.cc	(revision 209)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2008
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/color.h
===================================================================
--- lemon/color.h	(revision 463)
+++ lemon/color.h	(revision 313)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2008
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/concept_check.h
===================================================================
--- lemon/concept_check.h	(revision 463)
+++ lemon/concept_check.h	(revision 285)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2008
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
